mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType System.ICloneable System.Obsolete System.Runtime.InteropServices.ComVisible(true)

values are used throughout the common language runtime to detect a change in assembly contents.

Represents a hash of an assembly manifest's contents.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  To be added

  Initializes a new instance of the structure with the specified hash value. The hash algorithm defaults to .

  The hash value.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  To be added

  Initializes a new instance of the structure with the specified hash algorithm and the hash value.

  The algorithm used to generate the hash. Values for this parameter come from the enumeration.
  The hash value.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Configuration.Assemblies.AssemblyHashAlgorithm To be added: an object of type 'AssemblyHashAlgorithm'

  The hash is made up of a byte array and a value from a class of supported algorithm types.

  Gets or sets the hash algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Object To be added

  Clones this object.

  An exact copy of this object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Configuration.Assemblies.AssemblyHash To be added

  An empty object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Byte[] To be added

  Gets the hash value.

  The hash value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete
  System.Void `` To be added

  Sets the hash value.

  The hash value.